Subject: bug#54786: Installation tests are failing

From: Ludovic Courtès <[email-masked]>
Date: Fri, 29 Apr 2022 21:50:09 +0200

Ludovic Courtès <[email-masked]> skribis:

> In the interim, perhaps we can work around that by using a different
> check to determine whether the service is running.  For instance,
> instead of:
>
>           (test-assert "nginx running"
>             (marionette-eval
>              '(begin
>                 (use-modules (gnu services herd))
>                 (start-service 'nginx))
>              marionette))
>
> … we’d write something like:
>
>           (test-assert "nginx running"
>             (wait-for-file "/var/run/nginx/pid"))

I pushed something along these lines as
73eeeeafbb0765f76834b53c9fe6cf3c8f740840.

I wasn’t able to fix the tailon test because the ‘tailon’ package
doesn’t build and I failed to address that in a timely fashion.

Ludo’.